from models import db
from peewee import *

class TgHiPin(Model):
    id = IntegerField(primary_key=True)  # 主键字段
    phone = CharField(null=True, max_length=255)  # 可为空的字符字段，最大长度 255
    code = CharField(null=True, max_length=255)  # 可为空的字符字段，最大长度 255
    num = IntegerField(null=True)  # 可为空的整数字段
    user_data = CharField(null=True, max_length=255)  # 可为空的字符字段，最大长度 255
    fraction = CharField(null=True, max_length=255)  # 可为空的字符字段，最大长度 255
    join_ = IntegerField(null=True)  # 可为空的整数字段

    class Meta:
        database = db  # 指定数据库连接
        table_name = 'tg_hi_pin'  # 指定表名